import OutsideClickCatch from "hoc/outsideClickCatch";
import React, { useState } from "react";
import { Button, Form } from "react-bootstrap";
import { DateRangePicker } from "react-date-range";
import "react-date-range/dist/styles.css"; // main style file
import "react-date-range/dist/theme/default.css"; // theme css file

interface Props {
   label: string;
   onClear: Function;
   onApply: Function;
}

const handleSelect = (ranges) => {
   // {
   //   selection: {
   //     startDate: [native Date Object],
   //     endDate: [native Date Object],
   //   }
   // }
};

const DateOfArrivalsFilter = (props: Props) => {
   const [isExpanded, setIsExpanded] = useState(false);

   const selectionRange = {
      startDate: new Date(),
      endDate: new Date(),
      key: "selection",
   };

   return (
      <span
         className="filter-btn-main"
         style={{ position: "relative" }}
         onClick={() => {
            if (!isExpanded) setIsExpanded(true);
         }}
      >
         <span> {props.label} </span>

         {isExpanded && (
            <OutsideClickCatch
               hideMenu={() => {
                  setIsExpanded(false);
               }}
            >
               <div className="date-of-arrival-filter">
                  <div className="select-price" id="price-input">
                     <DateRangePicker ranges={[selectionRange]} onChange={handleSelect} />
                  </div>

                  <div style={{ clear: "both" }}></div>
                  <hr />
                  <div className="apply-clear">
                     <div>
                        <Button
                           className="clear"
                           onClick={() => {
                              props.onClear();
                           }}
                        >
                           {" "}
                           Clear{" "}
                        </Button>
                     </div>
                     <div>
                        <Button
                           className="apply"
                           onClick={() => {
                              props.onApply();
                           }}
                        >
                           {" "}
                           Apply{" "}
                        </Button>
                     </div>
                  </div>
               </div>
            </OutsideClickCatch>
         )}
      </span>
   );
};
export default DateOfArrivalsFilter;
